NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
NXOpen.Sketch Member List

This is the complete list of members for NXOpen.Sketch, including all inherited members.

Activate(NXOpen.Sketch.ViewReorient orientView)NXOpen.Sketchinline
AddEllipseOption enum nameNXOpen.Sketch
AddGeometry(NXOpen.DisplayableObject crv, NXOpen.Sketch.InferConstraintsOption inferCoincidentConstraints)NXOpen.Sketchinline
AddGeometry(NXOpen.DisplayableObject crv)NXOpen.Sketchinline
AddGeometry(NXOpen.Curve crv, NXOpen.Sketch.InferConstraintsOption inferCoincidentConstraints, NXOpen.Sketch.AddEllipseOption ellipseOption)NXOpen.Sketchinline
AddGeometry(NXOpen.Sketch.InferConstraintsOption inferCoincidentConstraints, NXOpen.Sketch.AddEllipseOption ellipseOption, NXOpen.SmartObject[] curvesOrPoints)NXOpen.Sketchinline
AlternateSolutionOption enum nameNXOpen.Sketch
AssocType enum nameNXOpen.Sketch
AsyncProcessMessage(IMessage msg, IMessageSink replySink)NXOpen.Utilities.NXRemotableObjectinline
AttachPlaneNXOpen.Sketch
AttributeType enum nameNXOpen.NXObject
AutoConstrain(double linearTolerance, double angularTolerance, bool allowRemoteConstraints, NXOpen.SmartObject[] geometries, NXOpen.Sketch.ConstraintType[] autoconstraintTypes)NXOpen.Sketchinline
AutoDimensioningRule enum nameNXOpen.Sketch
Blank()NXOpen.DisplayableObjectinline
BreakAssociativity(NXOpen.NXObject[] sketchGeoms)NXOpen.Sketchinline
ColorNXOpen.DisplayableObject
ConstraintClass enum nameNXOpen.Sketch
ConstraintGeometryHelpType enum nameNXOpen.Sketch
ConstraintPointType enum nameNXOpen.Sketch
ConstraintType enum nameNXOpen.Sketch
ConvertRadialDimension(NXOpen.DisplayableObject[] dimensions)NXOpen.Sketchinline
ConvertToNx10Spline(NXOpen.Spline spline)NXOpen.Sketchinline
CopyObjects(NXOpen.NXObject[] inputObjects)NXOpen.Sketchinline
CopyObjectsWithDimensionOutput(NXOpen.NXObject[] inputObjects, out NXOpen.NXObject[] outputObjects, out NXOpen.NXObject[] outputDims)NXOpen.Sketchinline
CopyObjectsWithTracking(NXOpen.DisplayableObject[] inputObjects)NXOpen.Sketchinline
CreateAttributeIterator()NXOpen.NXObjectinline
CreateCoincidentConstraint(NXOpen.Sketch.ConstraintGeometry geom1, NXOpen.Sketch.ConstraintGeometry geom2)NXOpen.Sketchinline
CreateCollinearConstraint(NXOpen.Sketch.ConstraintGeometry conGeom1, NXOpen.Sketch.ConstraintGeometry conGeom2)NXOpen.Sketchinline
CreateConcentricConstraint(NXOpen.Sketch.ConstraintGeometry conGeom1, NXOpen.Sketch.ConstraintGeometry conGeom2)NXOpen.Sketchinline
CreateConstantAngleConstraint(NXOpen.Sketch.ConstraintGeometry conGeom)NXOpen.Sketchinline
CreateConstantLengthConstraint(NXOpen.Sketch.ConstraintGeometry conGeom)NXOpen.Sketchinline
CreateDiameterDimension(NXOpen.Sketch.DimensionGeometry dimObject1, NXOpen.Point3d dimOrigin, NXOpen.Expression expression)NXOpen.Sketchinline
CreateDiameterDimension(NXOpen.Sketch.DimensionGeometry dimObject1, NXOpen.Point3d dimOrigin, NXOpen.Expression expression, NXOpen.Sketch.DimensionOption refDim)NXOpen.Sketchinline
CreateDimension(NXOpen.Sketch.ConstraintType dimType, NXOpen.Sketch.DimensionGeometry dimObject1, NXOpen.Sketch.DimensionGeometry dimObject2, NXOpen.Point3d dimOrigin, NXOpen.Expression expression)NXOpen.Sketchinline
CreateDimension(NXOpen.Sketch.ConstraintType dimType, NXOpen.Sketch.DimensionGeometry dimObject1, NXOpen.Sketch.DimensionGeometry dimObject2, NXOpen.Point3d dimOrigin, NXOpen.Expression expression, NXOpen.Sketch.DimensionOption refDim)NXOpen.Sketchinline
CreateDimensionOption enum nameNXOpen.Sketch
CreateEqualLengthConstraint(NXOpen.Sketch.ConstraintGeometry conGeom1, NXOpen.Sketch.ConstraintGeometry conGeom2)NXOpen.Sketchinline
CreateEqualRadiusConstraint(NXOpen.Sketch.ConstraintGeometry conGeom1, NXOpen.Sketch.ConstraintGeometry conGeom2)NXOpen.Sketchinline
CreateFixedConstraint(NXOpen.Sketch.ConstraintGeometry geom)NXOpen.Sketchinline
CreateFullyFixedConstraints(NXOpen.Sketch.ConstraintGeometry geom)NXOpen.Sketchinline
CreateHorizontalConstraint(NXOpen.Sketch.ConstraintGeometry geom)NXOpen.Sketchinline
CreateInferConstraintSetting enum nameNXOpen.Sketch
CreateInferConstraintsSettingNXOpen.Sketch
CreateMidpointConstraint(NXOpen.Sketch.ConstraintGeometry conGeom1, NXOpen.Sketch.ConstraintGeometry conGeom2)NXOpen.Sketchinline
CreateNonUniformScaledConstraint(NXOpen.Sketch.ConstraintGeometry conGeom)NXOpen.Sketchinline
CreateNormalConstraint(NXOpen.Sketch.ConstraintGeometry conGeom1, NXOpen.Sketch.ConstraintGeometryHelp geom1Help, NXOpen.Sketch.ConstraintGeometry conGeom2, NXOpen.Sketch.ConstraintGeometryHelp geom2Help)NXOpen.Sketchinline
CreateParallelConstraint(NXOpen.Sketch.ConstraintGeometry conGeom1, NXOpen.Sketch.ConstraintGeometry conGeom2)NXOpen.Sketchinline
CreatePerimeterDimension(NXOpen.Curve[] curves, NXOpen.Point3d dimOrigin, NXOpen.Expression expression)NXOpen.Sketchinline
CreatePerpendicularConstraint(NXOpen.Sketch.ConstraintGeometry conGeom1, NXOpen.Sketch.ConstraintGeometry conGeom2)NXOpen.Sketchinline
CreatePointOnCurveConstraint(NXOpen.Sketch.ConstraintGeometry conGeom1, NXOpen.Sketch.ConstraintGeometry conGeom2, NXOpen.Sketch.ConstraintGeometryHelp help)NXOpen.Sketchinline
CreatePointOnStringConstraint(NXOpen.Sketch.ConstraintGeometry conGeom1, NXOpen.Curve[] curvesInString, NXOpen.Sketch.ConstraintGeometryHelp helpData, int curveWhichHelpParamAppliesTo)NXOpen.Sketchinline
CreatePointOnStringConstraint(NXOpen.Sketch.ConstraintGeometry conGeom1, NXOpen.Curve curveInString, NXOpen.Sketch.ConstraintGeometryHelp helpData)NXOpen.Sketchinline
CreateRadialDimension(NXOpen.Sketch.DimensionGeometry dimObject1, NXOpen.Point3d dimOrigin, NXOpen.Expression expression)NXOpen.Sketchinline
CreateRadialDimension(NXOpen.Sketch.DimensionGeometry dimObject1, NXOpen.Point3d dimOrigin, NXOpen.Expression expression, NXOpen.Sketch.DimensionOption refDim)NXOpen.Sketchinline
CreateSlopeConstraint(NXOpen.Sketch.ConstraintGeometry conGeom1, NXOpen.Sketch.ConstraintGeometry conGeom2)NXOpen.Sketchinline
CreateTangentConstraint(NXOpen.Sketch.ConstraintGeometry geom1, NXOpen.Sketch.ConstraintGeometryHelp geom1Help, NXOpen.Sketch.ConstraintGeometry geom2, NXOpen.Sketch.ConstraintGeometryHelp geom2Help)NXOpen.Sketchinline
CreateUniformScaledConstraint(NXOpen.Sketch.ConstraintGeometry conGeom)NXOpen.Sketchinline
CreateVerticalConstraint(NXOpen.Sketch.ConstraintGeometry geom)NXOpen.Sketchinline
DateAndTimeFormat enum nameNXOpen.NXObject
Deactivate(NXOpen.Sketch.ViewReorient orientView, NXOpen.Sketch.UpdateLevel updateLevel)NXOpen.Sketchinline
DeleteAllAttributesByType(NXOpen.NXObject.AttributeType type)NXOpen.NXObjectinline
DeleteAllAttributesByType(NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)NXOpen.NXObjectinline
DeleteAttributeByTypeAndTitle(NXOpen.NXObject.AttributeType type, string title)NXOpen.NXObjectinline
DeleteAttributeByTypeAndTitle(NXOpen.NXObject.AttributeType type, string title, NXOpen.Update.Option option)NXOpen.NXObjectinline
DeleteConstraintsOnGeometries(NXOpen.NXObject[] objects)NXOpen.Sketchinline
DeleteConstraintsOnGeometries(NXOpen.Sketch.ConstraintGeometry[] objects)NXOpen.Sketchinline
DeleteConstraintsOnGeometries(NXOpen.Sketch.ConstraintClass conClass, NXOpen.Sketch.ConstraintGeometry[] objects)NXOpen.Sketchinline
DeleteObjects(NXOpen.NXObject[] objects)NXOpen.Sketchinline
DeleteThirdCurveOption enum nameNXOpen.Sketch
DeleteUserAttribute(NXOpen.NXObject.AttributeType type, string title, bool deleteEntireArray, NXOpen.Update.Option option)NXOpen.NXObjectinline
DeleteUserAttributes(NXOpen.AttributeIterator iterator, NXOpen.Update.Option option)NXOpen.NXObjectinline
DeleteUserAttributes(NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)NXOpen.NXObjectinline
DimensionOption enum nameNXOpen.Sketch
DOFDisplayNXOpen.Sketch
EditSplineDefiningPoints(NXOpen.Spline spline, double[] points)NXOpen.Sketchinline
EditSplinePoles(NXOpen.Spline spline, double[] poles)NXOpen.Sketchinline
FeatureNXOpen.Sketch
Fillet(NXOpen.Curve curve1, NXOpen.Curve curve2, NXOpen.Point3d helpPoint1, NXOpen.Point3d helpPoint2, double radius, NXOpen.Sketch.TrimInputOption doTrim, NXOpen.Sketch.CreateDimensionOption createRadiusDim, NXOpen.Sketch.AlternateSolutionOption alternateSolution, out NXOpen.SketchConstraint[] constraints)NXOpen.Sketchinline
Fillet(NXOpen.Curve curve1, NXOpen.Curve curve2, NXOpen.Point3d helpPoint1, NXOpen.Point3d helpPoint2, NXOpen.Point3d pointOnArc, double radius, NXOpen.Sketch.TrimInputOption doTrim, NXOpen.Sketch.CreateDimensionOption createRadiusDim, NXOpen.Sketch.AlternateSolutionOption alternateSolution, out NXOpen.SketchConstraint[] constraints)NXOpen.Sketchinline
Fillet(NXOpen.Curve curve1, NXOpen.Curve curve2, NXOpen.Curve curve3, NXOpen.Point3d helpPoint1, NXOpen.Point3d helpPoint2, NXOpen.Point3d helpPoint3, double radius, NXOpen.Sketch.TrimInputOption doTrim, NXOpen.Sketch.DeleteThirdCurveOption doDelete, NXOpen.Sketch.CreateDimensionOption createRadiusDim, NXOpen.Sketch.AlternateSolutionOption alternateSolution, out NXOpen.SketchConstraint[] constraints)NXOpen.Sketchinline
Fillet(NXOpen.Curve curve1, NXOpen.Curve curve2, NXOpen.Curve curve3, NXOpen.Point3d helpPoint1, NXOpen.Point3d helpPoint2, NXOpen.Point3d helpPoint3, NXOpen.Point3d pointOnArc, double radius, NXOpen.Sketch.TrimInputOption doTrim, NXOpen.Sketch.DeleteThirdCurveOption doDelete, NXOpen.Sketch.CreateDimensionOption createRadiusDim, NXOpen.Sketch.AlternateSolutionOption alternateSolution, out NXOpen.SketchConstraint[] constraints)NXOpen.Sketchinline
FindObject(string journalIdentifier)NXOpen.NXObjectinline
FlipNormal()NXOpen.Sketchinline
FlipReferenceDirection()NXOpen.Sketchinline
GetAllConstraintsOfType(NXOpen.Sketch.ConstraintClass conClass, NXOpen.Sketch.ConstraintType conType)NXOpen.Sketchinline
GetAllExpressions()NXOpen.Sketchinline
GetAllGeometry()NXOpen.Sketchinline
GetAttributeTitlesByType(NXOpen.NXObject.AttributeType type)NXOpen.NXObjectinline
GetBooleanUserAttribute(string title, int index)NXOpen.NXObjectinline
GetComputationalTimeUserAttribute(string title, int index)NXOpen.NXObjectinline
GetConstraintsForGeometry(NXOpen.SmartObject geometry, NXOpen.Sketch.ConstraintClass conClass)NXOpen.Sketchinline
GetIgnoredRelationsOfGeometry(NXOpen.Sketch.ConstraintGeometry geometry)NXOpen.Sketchinline
GetIntegerAttribute(string title)NXOpen.NXObjectinline
GetIntegerUserAttribute(string title, int index)NXOpen.NXObjectinline
GetNextUserAttribute(NXOpen.AttributeIterator iterator, out NXOpen.NXObject.AttributeInformation info)NXOpen.NXObjectinline
GetPdmReferenceAttributeValue(string attributeTitle)NXOpen.NXObjectinline
GetRealAttribute(string title)NXOpen.NXObjectinline
GetRealUserAttribute(string title, int index)NXOpen.NXObjectinline
GetReferenceAttribute(string title)NXOpen.NXObjectinline
GetReferenceDirection(out NXOpen.IReferenceAxis referenceAxis, out NXOpen.AxisOrientation referenceAxisOrientation, out NXOpen.Sense referenceAxisSense)NXOpen.Sketchinline
GetStatus(out int dofNeeded)NXOpen.Sketchinline
GetStringAttribute(string title)NXOpen.NXObjectinline
GetStringUserAttribute(string title, int index)NXOpen.NXObjectinline
GetTimeAttribute(NXOpen.NXObject.DateAndTimeFormat format, string title)NXOpen.NXObjectinline
GetTimeUserAttribute(string title, int index)NXOpen.NXObjectinline
GetUserAttribute(string title, NXOpen.NXObject.AttributeType type, int index)NXOpen.NXObjectinline
GetUserAttribute(string title, bool includeUnset, bool addStringValues, NXOpen.NXObject.AttributeType type)NXOpen.NXObjectinline
GetUserAttributeAsString(string title, NXOpen.NXObject.AttributeType type, int index)NXOpen.NXObjectinline
GetUserAttributeCount(NXOpen.AttributeIterator iterator)NXOpen.NXObjectinline
GetUserAttributeCount(NXOpen.AttributeIterator iterator, bool countArrayAsOneAttribute)NXOpen.NXObjectinline
GetUserAttributeCount(NXOpen.NXObject.AttributeType type)NXOpen.NXObjectinline
GetUserAttributeCount(NXOpen.NXObject.AttributeType type, bool includeUnset, bool countArrayAsOneAttribute)NXOpen.NXObjectinline
GetUserAttributeLock(string title, NXOpen.NXObject.AttributeType type)NXOpen.NXObjectinline
GetUserAttributes(NXOpen.AttributeIterator iterator)NXOpen.NXObjectinline
GetUserAttributes()NXOpen.NXObjectinline
GetUserAttributes(bool includeUnset)NXOpen.NXObjectinline
GetUserAttributes(bool includeUnset, bool addStringValues)NXOpen.NXObjectinline
GetUserAttributesAsStrings()NXOpen.NXObjectinline
GetUserAttributeSize(string title, NXOpen.NXObject.AttributeType type)NXOpen.NXObjectinline
GetUserAttributeSourceObjects()NXOpen.NXObjectinline
GetVirtualPoints()NXOpen.Sketchinline
HasUserAttribute(NXOpen.AttributeIterator iterator)NXOpen.NXObjectinline
HasUserAttribute(string title, NXOpen.NXObject.AttributeType type, int index)NXOpen.NXObjectinline
HideDimensions(NXOpen.DisplayableObject[] inputObjects)NXOpen.Sketchinline
HideDimensions()NXOpen.Sketchinline
HideDimensions(NXOpen.Sketch.ConstraintGeometry[] objects)NXOpen.Sketchinline
Highlight()NXOpen.DisplayableObjectinline
InferConstraintsOption enum nameNXOpen.Sketch
IsActiveNXOpen.Sketch
IsBlankedNXOpen.DisplayableObject
IsDraftingSketchNXOpen.Sketch
IsInternalNXOpen.Sketch
IsOccurrenceNXOpen.NXObject
JournalIdentifierNXOpen.NXObject
LayerNXOpen.DisplayableObject
LineFontNXOpen.DisplayableObject
LineWidthNXOpen.DisplayableObject
LocalUpdate()NXOpen.Sketchinline
MakeDatumsExternal()NXOpen.Sketchinline
MakeDatumsExternal2()NXOpen.Sketchinline
MakeDatumsInternal()NXOpen.Sketchinline
ManageConstraintsAfterEdit(NXOpen.NXObject[] sketchGeoms, bool preserveComplexConstraints)NXOpen.Sketchinline
NameNXOpen.NXObject
NameLocationNXOpen.DisplayableObject
NextSinkNXOpen.Utilities.NXRemotableObject
ObjectFont enum nameNXOpen.DisplayableObject
ObjectWidth enum nameNXOpen.DisplayableObject
OrientationNXOpen.Sketch
OriginNXOpen.Sketch
OwningComponentNXOpen.NXObject
OwningPartNXOpen.NXObject
PlaneOption enum nameNXOpen.Sketch
PreferencesNXOpen.Sketch
Print()NXOpen.NXObjectinline
PrintTestData(String variableName)NXOpen.TaggedObjectinline
PrintTestData(String variableName, int lineNumber)NXOpen.TaggedObjectinline
PrototypeNXOpen.NXObject
Reattach(NXOpen.ISurface attachmentPlane, NXOpen.IReferenceAxis referenceAxis, NXOpen.Vector3d referenceDirection, NXOpen.AxisOrientation referenceAxisOrientation, NXOpen.Sense referenceAxisSense, NXOpen.PlaneNormalOrientation normalOrientation, NXOpen.Point3d localCoordinateSystemOrigin)NXOpen.Sketchinline
RedisplayObject()NXOpen.DisplayableObjectinline
RemoveRedundantVertices(NXOpen.NXObject[] geoms)NXOpen.Sketchinline
RemoveViewDependency()NXOpen.DisplayableObjectinline
RotateDragModeNXOpen.Sketch
RunAutoDimension()NXOpen.Sketchinline
Scale(double scaleFactor)NXOpen.Sketchinline
SetAttribute(string title, int value)NXOpen.NXObjectinline
SetAttribute(string title, int value, NXOpen.Update.Option option)NXOpen.NXObjectinline
SetAttribute(string title, double value)NXOpen.NXObjectinline
SetAttribute(string title, double value, NXOpen.Update.Option option)NXOpen.NXObjectinline
SetAttribute(string title, string value)NXOpen.NXObjectinline
SetAttribute(string title, string value, NXOpen.Update.Option option)NXOpen.NXObjectinline
SetAttribute(string title)NXOpen.NXObjectinline
SetAttribute(string title, NXOpen.Update.Option option)NXOpen.NXObjectinline
SetBooleanUserAttribute(string title, int index, bool value, NXOpen.Update.Option option)NXOpen.NXObjectinline
SetName(string name)NXOpen.NXObjectinline
SetNameLocation(NXOpen.Point3d location)NXOpen.DisplayableObjectinline
SetPdmReferenceAttribute(string attributeTitle, string attributeValue)NXOpen.NXObjectinline
SetReferenceAttribute(string title, string value)NXOpen.NXObjectinline
SetReferenceAttribute(string title, string value, NXOpen.Update.Option option)NXOpen.NXObjectinline
SetReferenceDirection(NXOpen.IReferenceAxis referenceAxis, NXOpen.Vector3d referenceDirection, NXOpen.AxisOrientation referenceAxisOrientation, NXOpen.Sense referenceAxisSense)NXOpen.Sketchinline
SetRotationOrigin(NXOpen.Point3d center)NXOpen.Sketchinline
SetTextHeight(double textHeight)NXOpen.Sketchinline
SetTimeAttribute(string title, string value)NXOpen.NXObjectinline
SetTimeAttribute(string title, string value, NXOpen.Update.Option option)NXOpen.NXObjectinline
SetTimeUserAttribute(string title, int index, string value, NXOpen.Update.Option option)NXOpen.NXObjectinline
SetTimeUserAttribute(string title, int index, NXOpen.NXObject.ComputationalTime value, NXOpen.Update.Option option)NXOpen.NXObjectinline
SetUserAttribute(NXOpen.NXObject.AttributeInformation info, NXOpen.Update.Option option)NXOpen.NXObjectinline
SetUserAttribute(string title, int index, int value, NXOpen.Update.Option option)NXOpen.NXObjectinline
SetUserAttribute(string title, int index, double value, NXOpen.Update.Option option)NXOpen.NXObjectinline
SetUserAttribute(string title, int index, string value, NXOpen.Update.Option option)NXOpen.NXObjectinline
SetUserAttribute(string title, int index, NXOpen.Update.Option option)NXOpen.NXObjectinline
SetUserAttributeLock(string title, NXOpen.NXObject.AttributeType type, bool @lock)NXOpen.NXObjectinline
ShowDimensions(NXOpen.DisplayableObject[] inputObjects)NXOpen.Sketchinline
ShowDimensions()NXOpen.Sketchinline
ShowDimensions(NXOpen.Sketch.ConstraintGeometry[] objects)NXOpen.Sketchinline
Status enum nameNXOpen.Sketch
SyncProcessMessage(IMessage msg)NXOpen.Utilities.NXRemotableObjectinline
TagNXOpen.TaggedObject
ToString()NXOpen.TaggedObjectinline
TrimInputOption enum nameNXOpen.Sketch
Unblank()NXOpen.DisplayableObjectinline
Unhighlight()NXOpen.DisplayableObjectinline
Update()NXOpen.Sketchinline
Update(NXOpen.NXObject[] geoms)NXOpen.Sketchinline
UpdateConstraintDisplay()NXOpen.Sketchinline
UpdateConstraintDisplay(NXOpen.SmartObject[] geoms)NXOpen.Sketchinline
UpdateDimensionDisplay()NXOpen.Sketchinline
UpdateDimensionDisplay(NXOpen.SmartObject[] geoms)NXOpen.Sketchinline
UpdateDimensionDisplay(NXOpen.NXObject[] dims)NXOpen.Sketchinline
UpdateGeometryDisplay()NXOpen.Sketchinline
UpdateGeometryDisplay(NXOpen.SmartObject[] geoms)NXOpen.Sketchinline
UpdateLevel enum nameNXOpen.Sketch
UpdateScopeNXOpen.Sketch
ViewNXOpen.Sketch
ViewReorient enum nameNXOpen.Sketch
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.